package com.atlassian.stash.internal.maintenance.restore;

import com.atlassian.stash.internal.db.DatabaseHandle;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.io.File;

public interface RestoreState {
    @Nonnull
    DatabaseHandle getTargetDatabase();

    @Nullable
    File getUnzippedBackupDirectory();

    void setUnzippedBackupDirectory(@Nonnull File file);
}
